using System;
class HelloWorld {
  static void Main() {
    int x = int.Parse(Console.ReadLine());
    int y = int.Parse(Console.ReadLine());
    int min = 0;
    if(x>=y) min = y;
    else min = x;
    double broj = 0;
    for(int i = 0; i<min;i++){
        if(x%10>=y%10) {
            broj+=x%10 * Math.Pow(10,i);
            x/=10;
            y/=10;
        }
        else
        {
            broj+=y%10 * Math.Pow(10,i);
            x/=10;
            y/=10;
        }
    }
    Console.WriteLine(broj);
}
}